package com.steerinfo.meterwork.meterworkmeterscene.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterWorkMeterScene implements IBasePO<String> {
    /**
     * 场景配置编号(SCENE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="场景配置编号",required=true)
    private String sceneNo;

    /**
     * 环节编号(LINK_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="环节编号",required=true)
    private String linkNo;

    /**
     * 流程编号(PROCESS_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="流程编号",required=true)
    private String processNo;

    /**
     * 场景编码(SCENE_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="场景编码",required=true)
    private String sceneCode;

    /**
     * 场景名称(SCENE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="场景名称",required=true)
    private String sceneName;

    /**
     * 场景描述(SCENE_NOTE,VARCHAR,200)
     */
    @ApiModelProperty(value="场景描述",required=false)
    private String sceneNote;

    /**
     * 序号(SCENE_ORDER_NUM,DECIMAL,2)
     */
    @ApiModelProperty(value="序号",required=true)
    private Short sceneOrderNum;

    /**
     * 配置人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="配置人编号",required=true)
    private String createManNo;

    /**
     * 配置人姓名(CREATE_MAN_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="配置人姓名",required=true)
    private String createManName;

    /**
     * 配置时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="配置时间",required=true)
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.sceneNo;
    }

    @Override
    public void setId(String sceneNo) {
        this.sceneNo = sceneNo == null ? null : sceneNo.trim();
    }

    public String getSceneNo() {
        return sceneNo;
    }

    public void setSceneNo(String sceneNo) {
        this.sceneNo = sceneNo == null ? null : sceneNo.trim();
    }

    public String getLinkNo() {
        return linkNo;
    }

    public void setLinkNo(String linkNo) {
        this.linkNo = linkNo == null ? null : linkNo.trim();
    }

    public String getProcessNo() {
        return processNo;
    }

    public void setProcessNo(String processNo) {
        this.processNo = processNo == null ? null : processNo.trim();
    }

    public String getSceneCode() {
        return sceneCode;
    }

    public void setSceneCode(String sceneCode) {
        this.sceneCode = sceneCode == null ? null : sceneCode.trim();
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName == null ? null : sceneName.trim();
    }

    public String getSceneNote() {
        return sceneNote;
    }

    public void setSceneNote(String sceneNote) {
        this.sceneNote = sceneNote == null ? null : sceneNote.trim();
    }

    public Short getSceneOrderNum() {
        return sceneOrderNum;
    }

    public void setSceneOrderNum(Short sceneOrderNum) {
        this.sceneOrderNum = sceneOrderNum;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", sceneNo=").append(sceneNo);
        sb.append(", linkNo=").append(linkNo);
        sb.append(", processNo=").append(processNo);
        sb.append(", sceneCode=").append(sceneCode);
        sb.append(", sceneName=").append(sceneName);
        sb.append(", sceneNote=").append(sceneNote);
        sb.append(", sceneOrderNum=").append(sceneOrderNum);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}